org.crosswire.jsword.index

## Class IndexPolicyAdapter

- java.lang.Object
- - org.crosswire.jsword.index.IndexPolicyAdapter

- All Implemented Interfaces:
    IndexPolicy

      public class IndexPolicyAdapter
      extends Object
      implements IndexPolicy

  The IndexPolicyAdapter provides for application resilience against change to IndexPolicy. It defines a reasonable set of defaults for a desktop application, but may not be appropriate for memory limited devices, such as phones, tablets, pdas. The defaults are documented in `IndexPolicy`.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexPolicyAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRAMBufferSize()` The maximum size of the RAM Buffer in megabytes that the underlying indexer may use during index creation.
    `boolean` | `isMorphIndexed()` Indicates whether Strong's Numbers should be included in the index.
    `boolean` | `isNoteIndexed()` Indicates whether Strong's Numbers should be included in the index.
    `boolean` | `isSerial()` Indicates whether one Book can be indexed at a time.
    `boolean` | `isStrongsIndexed()` Indicates whether Strong's Numbers should be included in the index.
    `boolean` | `isTitleIndexed()` Indicates whether Titles and Introductions should be included in the index.
    `boolean` | `isXrefIndexed()` Indicates whether Cross References should be included in the index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexPolicyAdapter

          public IndexPolicyAdapter()

  - ### Method Detail

    - #### isStrongsIndexed

          public boolean isStrongsIndexed()

      Description copied from interface: `IndexPolicy`
      Indicates whether Strong's Numbers should be included in the index. Adapter default: true;
      Specified by:
        `isStrongsIndexed` in interface `IndexPolicy`
      Returns:
        true if Strong's Numbers should be indexed

    - #### isMorphIndexed

          public boolean isMorphIndexed()

      Description copied from interface: `IndexPolicy`
      Indicates whether Strong's Numbers should be included in the index. Adapter default: true;
      Specified by:
        `isMorphIndexed` in interface `IndexPolicy`
      Returns:
        true if Strong's Numbers should be indexed

    - #### isNoteIndexed

          public boolean isNoteIndexed()

      Description copied from interface: `IndexPolicy`
      Indicates whether Strong's Numbers should be included in the index. Adapter default: true;
      Specified by:
        `isNoteIndexed` in interface `IndexPolicy`
      Returns:
        true if Notes should be indexed

    - #### isTitleIndexed

          public boolean isTitleIndexed()

      Description copied from interface: `IndexPolicy`
      Indicates whether Titles and Introductions should be included in the index. Adapter default: true;
      Specified by:
        `isTitleIndexed` in interface `IndexPolicy`
      Returns:
        true if Titles and Introductions should be indexed

    - #### isXrefIndexed

          public boolean isXrefIndexed()

      Description copied from interface: `IndexPolicy`
      Indicates whether Cross References should be included in the index. Adapter default: true;
      Specified by:
        `isXrefIndexed` in interface `IndexPolicy`
      Returns:
        true if Cross References should be indexed

    - #### getRAMBufferSize

          public int getRAMBufferSize()

      Description copied from interface: `IndexPolicy`
      The maximum size of the RAM Buffer in megabytes that the underlying indexer may use during index creation. Adapter default: 16.
      Specified by:
        `getRAMBufferSize` in interface `IndexPolicy`
      Returns:
        the size of the RAM Buffer.

    - #### isSerial

          public boolean isSerial()

      Description copied from interface: `IndexPolicy`
      Indicates whether one Book can be indexed at a time. When false, there is no upper bound on the number of Books at any one time. Adapter default: false.
      Specified by:
        `isSerial` in interface `IndexPolicy`
      Returns:
        whether there can only be one Book indexed at a time.